IRPCViews.GetFolderContentDownloadUrl

View as Markdown

Vault API / standard write session or assertion

Not available: always fails with "Not implemented.".

ServiceViews MFiles.IRPCViews
gRPC method/MFiles.IRPCViews/GetFolderContentDownloadUrl
HTTP (mf-http-grpc)POST /grpc/v1/get-folder-content-download-url
RequestGetFolderContentDownloadUrlRequest
ResponseGetFolderContentDownloadUrlResponse
Book and levelVault API, standard
Kindwrite
SessionRequired: a session (mfiles-session-id-bin metadata) or a session assertion (x-mf-session-assertion metadata).
Idempotentno
Returns metadata structure versionno
Streamingnone (unary)

Request: GetFolderContentDownloadUrlRequest

Request details for generating a download key for downloading contents of multiple folders.

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
download_requests[]repeated FolderContentDownloadUrlRequestDataDownload requests.
download_requests[].folders[]repeated FolderArray of folders defining the folder contents to download.
download_requests[].folders[].typeFolderTypeThe type of the folder, for example FOLDER_TYPE_VIEW_FOLDER or FOLDER_TYPE_PROPERTY_FOLDER.Values: FOLDER_TYPE_UNKNOWN (0), FOLDER_TYPE_ANY_FOLDER (1), FOLDER_TYPE_VIEW_FOLDER (2), FOLDER_TYPE_PROPERTY_FOLDER (3), FOLDER_TYPE_TRADITIONAL_FOLDER (4), FOLDER_TYPE_SEARCH_FOLDER (5), FOLDER_TYPE_EXTERNAL_VIEW_FOLDER (6).
download_requests[].folders[].dataFolderInfoUnionAdditional folder type -specific information as a union.

Response: GetFolderContentDownloadUrlResponse

Response details for generating a download key for downloading contents of multiple folders.

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
urlstringThe download URL.